/* error_accumulation.c
累積誤差
1/5 を (5 × 10^n) 個足すと整数のはずだが ...
*/

#include<stdio.h>
int main()
{
    long N = 5;
    double x = 0.2, sum;
    for(int n = 0; n < 10; n++){
        sum = 0.0;
        for(int i = 0; i < N; i++) sum += x;
        printf("n = 5 × 10^%2d のとき 和 = %20.7lf\n", n, sum);
        N *= 10;
    }
    return 0;
}

/*

n = 5 × 10^ 0 のとき 和 =            1.0000000
n = 5 × 10^ 1 のとき 和 =           10.0000000
n = 5 × 10^ 2 のとき 和 =          100.0000000
n = 5 × 10^ 3 のとき 和 =         1000.0000000
n = 5 × 10^ 4 のとき 和 =        10000.0000000
n = 5 × 10^ 5 のとき 和 =        99999.9999991
n = 5 × 10^ 6 のとき 和 =       999999.9999108
n = 5 × 10^ 7 のとき 和 =      9999999.9995118
n = 5 × 10^ 8 のとき 和 =    100000000.9018808
n = 5 × 10^ 9 のとき 和 =   1000000087.8303370
*/
